#!/bin/bash -ue
trust-barcoderep.pl TRUST4_cdr3.out -a TRUST4_annot.fa --chainsInBarcode 1 > TRUST4_barcode_report.tsv
trust-simplerep.pl TRUST4_cdr3.out --barcodeCnt --filterBarcoderepReadCnt 1 --filterBarcoderep TRUST4_barcode_report.tsv > TRUST4_report.UMI_1.tsv
trust-airr.pl TRUST4_report.UMI_1.tsv TRUST4_annot.fa --airr-align TRUST4_airr_align.tsv > TRUST4_airr.UMI_1.tsv
trust-airr.pl TRUST4_barcode_report.tsv TRUST4_annot.fa --format barcoderep --airr-align TRUST4_airr_align.tsv > TRUST4_barcode_airr.tsv
python /wgbs/scratch/amandal/CogentIP/CogentIP_2.0/CogentIP-TRUST4/share/scripts/genImmuneViewerReports.py TRUST4_airr.UMI_1.tsv --species human --sampleID S3 --isotype IGE --outdir . --umi_cutoff 1
IV_REPORT_FILENAME=S3_IGE.UMI_1.immune_viewer_report.csv
head -n1 $IV_REPORT_FILENAME > $IV_REPORT_FILENAME.tmp
tail -n+2 $IV_REPORT_FILENAME |  sort -t, -nr -k 3,3 >> $IV_REPORT_FILENAME.tmp
mv $IV_REPORT_FILENAME.tmp $IV_REPORT_FILENAME
