params.species_common = params.species

include { GENERATE_FINAL_REPORTS_WITH_UMI_CUTOFF_POST_ANALYSIS } from './modules/generate_final_reports_with_umi_cutoff_post_analysis'

workflow {
  Channel.fromPath(params.umiCutoffsFile)
  | splitCsv( header:true )
  | map { row -> row.subMap('sample', 'isotype', 'umi_cutoff') }
  | filter {
    it['sample'] != '' &&
    it['isotype'] != '' &&
    it['umi_cutoff'] != '' }
  | GENERATE_FINAL_REPORTS_WITH_UMI_CUTOFF_POST_ANALYSIS
}
